import type { GenericNode, GenericParent } from 'myst-common';
import type { Element } from 'xml-js';
import type { Contributor } from 'myst-frontmatter';
export declare function convertToUnist(node: Element): GenericNode | GenericParent | undefined;
export declare function convertToXml(node: GenericNode): Element;
export declare function escapeForXML(text: string): string;
export declare function toDate(date?: GenericParent): Date | undefined;
export declare function formatDate(date?: Date): string | undefined;
export type PubIdTypes = 'doi' | 'pmc' | 'pmid' | 'publisher-id' | string;
export declare function findArticleId(node: GenericParent | undefined, pubIdType?: PubIdTypes): string | undefined;
export declare function authorAndAffiliation(node: GenericParent, article: GenericParent): Contributor;
//# sourceMappingURL=utils.d.ts.map